atomic_word.h File Reference

Go to the source code of this file.

## Macros

#define | _GLIBCXX_READ_MEM_BARRIER
#define | _GLIBCXX_WRITE_MEM_BARRIER

## Typedefs

typedef int | _Atomic_word

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file atomic_word.h.

## Macro Definition Documentation

## _GLIBCXX_READ_MEM_BARRIER

#define _GLIBCXX_READ_MEM_BARRIER

Definition at line 36 of file atomic_word.h.

## _GLIBCXX_WRITE_MEM_BARRIER

#define _GLIBCXX_WRITE_MEM_BARRIER

Definition at line 38 of file atomic_word.h.

## Typedef Documentation

## _Atomic_word

typedef int _Atomic_word

Definition at line 32 of file atomic_word.h.